{config, ...}: {
  virtualisation.oci-containers.containers."restreamer" = {
    image = "docker.io/datarhei/restreamer:latest";
    environmentFiles = [config.age.secrets.restreamer-env.path];
    ports = ["127.0.0.1:3006:8080" "1935:1935" "1936:1936"];
    volumes = ["restreamer_data:/restreamer/db"];
    extraOptions = ["--add-host=postgres:10.89.0.1" "--ip=10.89.0.13" "--network=web"];
  };
  # Traefik configuration specific to baserow
  services.traefik.dynamicConfigOptions.http = {
    services.restreamer.loadBalancer.servers = [
      {
        url = "http://localhost:3006/";
      }
    ];

    routers.restreamer = {
      rule = "Host(`stream.m3tam3re.com`)";
      tls = {
        certResolver = "godaddy";
      };
      service = "restreamer";
      entrypoints = "websecure";
    };
  };
}
